public class gibbstest3 {
	
	public static void main(String[] arg){	
		 String iLK[]={ "h2","o2","h2o"};  	             
    	 double[] n0={1,1,0};
		 double Te[]={2500,2500,2500};	    
		 double T1=2500;
		 double P1=1.01325;
		 int nmax1=500;//iterasyon sayısı
		 System.out.println("---------------------------------");		
		 gibbs g1=new gibbs(iLK,n0,Te,T1,P1,nmax1);
		 g1.getEq();
		 for(int i=0;i<g1.n.length;i++) System.out.println(g1.gs[i].Formula+"   "+g1.n[i][0]);
		 System.out.println("Q= "+g1.delQ());
		 System.out.println("A= \n"+Matrix.toString(g1.A));
		 System.out.println("b= \n"+Matrix.toString(g1.b0));
		 System.out.println("---------------------------------");

	}

}